body {
margin:0;
font-family:'Roboto',sans-serif;
color:#000;
line-height:1.6;
padding:0;
height:auto;
min-height:100vh;
background:#FAF9F6
}

.container {
max-width:1200px;
margin:0 auto;
padding:0
}

header {
box-sizing:border-box;
top:0;
left:0;
width:100%;
background-color:#FAF9F6;
padding:8px 30px;
z-index:1000;
display:flex;
justify-content:space-between;
align-items:center;
box-shadow:0 2px 10px #0000001a;
margin-bottom:0;
color:#333;
border-bottom:3px solid #ddd
}

.logo {
display:flex;
align-items:center;
gap:10px;
font-size:20px;
font-weight:700;
text-decoration:none
}

.logo a {
display:flex;
align-items:center;
text-decoration:none;
color:#222;
position:relative
}

.logo .logo-text {
margin-left:20px;
font-size:1em;
font-family:'Roboto',sans-serif;
color:#222;
font-weight:600;
position:relative;
transition:color .3s ease-in-out
}

.logo a:hover .logo-text {
color:#029324
}

.logo .logo-text::before {
content:"";
position:absolute;
bottom:-2px;
left:0;
width:0;
height:2px;
background-color:#029324;
transition:width .6s ease-in-out
}

.logo a:hover .logo-text::before {
width:100%
}

header nav {
margin-right:5rem
}

header nav ul {
list-style:none;
display:flex;
padding:0;
margin:0
}

header nav ul li a {
position:relative;
text-decoration:none;
font-size:1.2em;
font-family:'Roboto',sans-serif;
font-weight:500;
color:#222;
transition:color 0.3s,width .5s ease-in-out
}

header nav ul li a:hover {
color:#029324
}

header nav ul li a::before {
content:"";
position:absolute;
bottom:-2px;
left:0;
width:0;
height:2px;
background-color:#029324;
transition:width .6s ease-in-out,background-color .5s ease-in-out
}

header nav ul li a:hover::before {
width:100%
}

.nav-links-mobile {
display:none
}

.burger-menu {
display:none
}

header .logo img {
max-width:60px
}

header nav ul li {
margin-left:20px
}

.social-links {
display:inline-block;
align-items:center;
margin-left:auto
}

.social-links a {
display:inline-block;
text-decoration:none
}

.social-links img {
width:2rem;
height:2rem;
transition:transform .2s ease
}

.social-links img:hover {
transform:scale(1.2)
}

#theme-toggle {
position:absolute;
top:1vh;
right:1vw;
z-index:100
}

.hero {
background-image:url(assets/backgrounds/lady_justice_light.webp);
background-size:160%;
background-position:15% 65%;
background-repeat:no-repeat;
display:flex;
align-items:flex-start;
justify-content:center;
min-height:85vh;
max-height:95vh;
padding:0;
color:#222;
box-sizing:border-box;
position:relative;
overflow:hidden;
z-index:0;
opacity:1
}

.hero-content-wrapper {
width:40%;
display:flex;
flex-direction:column;
align-items:center
}

.hero-content {
display:flex;
flex-direction:column;
align-items:center;
z-index:2;
padding-top:1%;
box-sizing:border-box
}

.hero h1 {
font-size:3.5rem;
margin-bottom:0;
text-shadow:0 1px 1px #000000b3;
font-family:'Cormorant Garamond',sans-serif;
font-weight:600;
text-align:center;
background:linear-gradient(to right,#ffd700,#804000);
-webkit-background-clip:text;
-moz-background-clip:text;
background-clip:text;
color:transparent;
margin-top:0;
transition:transform .3s ease,font-size .3s ease
}

.hero h2 {
font-size:3.5rem;
margin-bottom:0;
text-shadow:0 1px 1px #000000b3;
font-family:'Cormorant Garamond',sans-serif;
font-weight:600;
text-align:center;
background:linear-gradient(to right,#ffd700,#804000);
-webkit-background-clip:text;
-moz-background-clip:text;
background-clip:text;
color:transparent;
margin-top:0;
transition:transform .3s ease,font-size .3s ease;
position:relative
}

.hero h2::after {
content:"";
position:absolute;
bottom:-5px;
left:0;
width:100%;
height:3px;
background:linear-gradient(to right,#ffd700,#804000)
}

.hero p {
font-size:2rem;
margin-bottom:40px;
color:#14532d;
transition:transform .3s ease,font-size .3s ease;
font-family:'Cormorant Garamond',serif;
font-weight:800;
text-align:center;
text-shadow:0 1px 2px #00000080
}

.hero-logo-container {
max-width:7rem;
width:auto;
margin-bottom:20px;
transition:transform .3s ease,opacity .3s ease
}

.hero-image-container {
max-width:400px;
height:auto;
position:absolute;
bottom:0;
right:8%;
z-index:1;
opacity:0;
transform:translateX(10%);
transition:opacity .5s ease-out,transform .3s ease-out
}

.hero-image-container.visible {
opacity:1;
transform:translateX(10%)
}

.hero img {
max-width:100%;
height:auto;
display:block
}

.hero h1,.hero h2,.hero p {
transition:none
}

.icons {
display:grid;
grid-template-columns:repeat(auto-fit,minmax(250px,1fr));
gap:30px;
padding:40px;
text-align:center;
color:#111;
background-color:#FAF9F6
}

.icons .icon-item {
display:flex;
flex-direction:column;
align-items:center;
text-align:left;
font-size:1.2rem;
position:relative;
overflow:visible;
opacity: 0;
transform: translateY(20px);
transition:transform .5s ease,opacity .6s ease-out
}

.icons .icon-item.loaded {
    opacity: 1; /* Widoczność po załadowaniu */
    transform: translateY(0); /* Przywrócenie pozycji */
  }

.icons img {
max-width:100px;
margin-bottom:15px;
transition:transform .3s ease;
filter:drop-shadow(0 0 5px #00000080);
border:0 solid #ffffff1a;
border-radius:5px
}

.icons p {
text-align:center;
margin-bottom:5px;
font-size:1.4rem;
color:#212121;
font-weight:600;
font-family:'Roboto',sans-serif;
position:relative;
transition:color .3s ease,width .6s ease-in-out
}

.icons p::before {
content:"";
position:absolute;
bottom:-2px;
left:0;
width:0;
height:2px;
background-color:#029324;
transition:width .6s ease-in-out
}

.icon-description {
opacity:0;
transform:translateY(-10px);
max-height:0;
overflow:hidden;
padding:0;
font-size:1.2rem;
font-family:'Roboto',sans-serif;
color:#212121;
text-align:left;
box-sizing:border-box;
transition:opacity .6s ease-out,transform .6s ease-out,max-height .6s ease-out
}

.icons .icon-item:hover img {
transform:scale(1.3)
}

.icons .icon-item:hover p {
color:#029324
}

.icons .icon-item:hover p::before {
width:100%
}

.icons .icon-item:hover .icon-description {
opacity:1;
transform:translateY(0);
max-height:500px;
padding:10px 20px
}

footer {
position:relative;
text-align:center;
padding:20px 0;
background-color:#FAF9F6;
font-size:1.1rem;
font-family:'Roboto',sans-serif;
color:#111;
margin-bottom:.5em;
font-weight:600;
border-top:3px solid #ddd;
padding-bottom:.5em;
font-family:'Cormorant Garamond',serif
}

footer a {
color:#111;
text-decoration:none;
font-family:'Cormorant Garamond',serif;
font-size:1.1rem
}

footer a:hover {
text-decoration:underline;
color:#28a745
}

.nav-links-mobile {
position:fixed;
top:50px;
right:10px;
background-color:#000000b3;
border-radius:8px;
padding:10px;
z-index:1002;
text-align:center;
flex-direction:column;
transform:translateY(-100%);
transition:transform .3s ease-in-out,opacity .3s;
opacity:0;
pointer-events:none
}

.nav-links-mobile.active {
transform:translateY(0);
opacity:1;
pointer-events:auto
}

.video-bg-container {
position:fixed;
top:0;
left:0;
width:100%;
height:100%;
overflow:hidden
}

.video-bg {
width:100%;
height:100%;
object-fit:cover;
transform:scale(1.0);
transform-origin:center;
z-index:-1
}

.contact-section {
position:relative;
overflow:hidden;
display:flex;
flex-direction:column;
justify-content:flex-start;
align-items:flex-start;
-webkit-mask-image:linear-gradient(to bottom,#0000 0%,#0000004d 1%,#0009 2%,#000000e6 3%,#000000e6 97%,#0009 98%,#0000004d 99%,#0000 100%);
mask-image:linear-gradient(to bottom,#0000 0%,#0000004d 1%,#0009 2%,#000000e6 3%,#000000e6 97%,#0009 98%,#0000004d 99%,#0000 100%)
}

.contact-container {
  background-color: rgba(235, 235, 235, 0.8);
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 100 100'%3E%3Cfilter id='noiseFilter'%3E%3CfegaussianBlur stdDeviation='5'/%3E%3CfeTurbulence type='fractalNoise' baseFrequency='0.4' numOctaves='3' result='noise'%3E%3C/feTurbulence%3E%3CfeComposite in='SourceGraphic' in2='noise' operator='arithmetic' k1='1' k2='1' k3='0' k4='0'/%3E%3C/filter%3E%3Crect x='0' y='0' width='300' height='300' filter='url(%23noiseFilter)' fill='rgba(90, 90, 90, 0.1)'/%3E%3C/svg%3E");
  background-repeat: repeat;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.15);
  padding: 10px;
  border-radius: 15px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  max-width: 550px;
  transform: scale(0.6) translateY(200px);
  opacity: 0;
  transition: transform 1s ease, opacity 1s ease;
  position: relative;
  z-index: 2;
  margin: 3%;
  overflow-x: hidden;
}

.contact-container.loaded {
opacity:1;
transform:scale(1) translateY(0)
}

.contact-container.loaded:hover {
  box-shadow: 0 6px 12px rgba(2, 146, 36, 0.5);
  background-color: rgba(235, 235, 235, 0.9);
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 100 100'%3E%3Cfilter id='noiseFilter'%3E%3CfegaussianBlur stdDeviation='5'/%3E%3CfeTurbulence type='fractalNoise' baseFrequency='0.4' numOctaves='3' result='noise'%3E%3C/feTurbulence%3E%3CfeComposite in='SourceGraphic' in2='noise' operator='arithmetic' k1='1' k2='1' k3='0' k4='0'/%3E%3C/filter%3E%3Crect x='0' y='0' width='300' height='300' filter='url(%23noiseFilter)' fill='rgba(90, 90, 90, 0.1)'/%3E%3C/svg%3E");
  background-repeat: repeat;
}

.contact-content {
position:relative;
z-index:1;
color:#000;
padding:10px;
text-align:center;
font-size:1.2em;
line-height:1.1;
font-weight:400;
text-shadow:.8px .8px 0 #0003;
max-width:100%;
width:100%
}

#contact {
margin:0 auto;
max-width:100%;
display:flex;
flex-direction:column;
align-items:center;
justify-content:flex-start;
position:relative;
z-index:2;
width:100%
}

.contact-form-container {
margin-top:0;
max-width:100%;
width:100%;
display:flex;
flex-direction:column;
justify-content:center;
align-items:center
}

.contact-form-container h2 {
margin-top:0;
width:100%;
text-align:center
}

.contact-content p {
margin-top:5px;
margin-bottom:5px;
text-align:left;
font-family:'Cormorant Garamond',serif;
font-weight:800;
font-size:1.8rem
}

.contact-content a {
margin-top:5px;
margin-bottom:5px;
text-align:left;
text-decoration:none;
color:#000;
font-family:'Cormorant Garamond',serif;
font-weight:800;
font-size:1.8rem;
transition:color 0.3s,width .5s ease-in-out;
position:relative
}

.contact-content a::before {
content:"";
position:absolute;
bottom:-2px;
left:0;
width:0;
height:2px;
background-color:#029324;
transition:width .6s ease-in-out
}

.contact-content a:hover::before {
width:100%
}

.contact-content h2 {
font-weight:600;
border-bottom:3px solid #ddd;
padding-bottom:.5em;
position:relative;
transition:color .3s ease-in-out;
width:100%;
text-align:center;
font-family:'Cormorant Garamond',serif;
font-weight:800;
font-size:2.5rem
}

.contact-content h2::after {
content:"";
position:absolute;
bottom:-3px;
left:0;
width:0;
height:3px;
background-color:#029324;
transition:width .6s ease-in-out
}

.contact-content:hover h2 {
transform:scale(1.0)
}

.contact-content:hover h2::after {
width:100%;
box-shadow:0 2px 4px #0003
}

#contact #form {
display:flex;
flex-direction:column;
align-items:center;
justify-content:center;
gap:15px;
width:100%;
font-family:'Roboto',sans-serif
}

.contact-form-container h2 {
font-weight:800;
border-bottom:3px solid #ddd;
padding-bottom:.5em;
position:relative;
font-family:'Cormorant Garamond',serif;
font-size:2rem;
transition:transform .3s ease-in-out
}

.contact-form-container h2::after {
content:"";
position:absolute;
bottom:-3px;
left:0;
width:0;
height:3px;
background-color:#029324;
transition:width .6s ease-in-out
}

.contact-form-container:hover h2 {
transform:scale(1.0)
}

.contact-form-container:hover h2::after {
width:100%;
box-shadow:0 2px 4px #0003
}

#contact #form span {
display:block;
font:14px/16px;
font-family:'Roboto',sans-serif;
color:#000000;
margin-bottom:5px
}

#contact #form input,#contact #form textarea {
width:75%;
max-width:400px;
padding:12px 20px;
font-size:16px;
color:#fff;
background:#222;
border:1px solid #444;
border-radius:5px;
transition:all .3s ease;
padding-left:10%;
font-family:'Roboto',sans-serif;
margin:0 auto;
display:block
}

#contact #form input:focus,#contact #form textarea:focus {
background:#111;
border-color:#008026;
outline:none
}

#contact #form input.name {
background:#222 url(assets/icons/ico-name.webp) no-repeat 10px center
}

#contact #form input.email {
background:#222 url(assets/icons/ico-mail.webp) no-repeat 10px center
}

#contact #form input.captcha {
background:#222 url(assets/icons/ico-refresh.webp) no-repeat 10px center
}

#contact #form textarea.message {
background:#222 url(assets/icons/ico-cloud.webp) no-repeat 10px center;
height:auto;
min-height:60px;
overflow:hidden
}

#contact #form input.submit {
cursor:pointer;
padding:12px 25px;
font-size:16px;
color:#fff;
background-color:#008026;
border-radius:5px;
border:none;
transition:background-color .3s ease,transform .3s ease;
display:block;
margin:0 auto
}

#contact #form input.submit:hover {
background-color:#006026;
transform:scale(1.05)
}

#contact #captcha {
display:flex;
flex-direction:column;
align-items:center;
justify-content:center;
margin-top:3px
}

#contact #captcha input {
background:url(assets/icons/ico-refresh.webp) no-repeat center;
padding:5px;
border:none;
cursor:pointer;
width:30px
}

#formMessage {
margin-top:10px;
font-size:14px;
color:#f44336;
text-align:center
}

.checkbox-label {
  display: grid;
  grid-template-columns: auto 1fr;
  align-items: center; /* Wyrównanie do środka */
  font-size: 1.1rem;
  color: #111;
  line-height: 1.3;
  margin-top: 10px;
  margin-left: 5%;
  background-color: transparent;
  gap: 10px; /* Zwiększony odstęp dla lepszego wyglądu */
  padding: 10px;
  cursor: pointer;
  width: 100%;
}

#privacyContainer {
  width: 100%;
  text-overflow: ellipsis;
  z-index: 1000;
  margin: 0 auto;
  font-size: 1.2rem;
}

.checkbox-label input[type="checkbox"] {
  width: 1.2rem; /* Zwiększony rozmiar */
  height: 1.2rem; /* Zwiększony rozmiar */
  cursor: pointer;
  accent-color: #008026;
  transition: transform .3s ease, background-color .3s ease;
  margin: 0;
  appearance: none; /* Usunięcie domyślnych stylów checkboxa */
  border: 1px solid #ddd; /* Dodanie obramowania */
  border-radius: 3px; /* Zaokrąglenie rogów */
  outline: none; /* Usunięcie domyślnego obramowania po fokusie */
  display: inline-block;
  vertical-align: middle; /* Wyrównanie pionowe do środka */
}



.checkbox-label input[type="checkbox"]:checked {
  background-color: #008026;
  border-color: #008026;
  position: relative;
}

.checkbox-label input[type="checkbox"]:checked::before {
  content: '\2713'; /* Symbol "ptaszka" (checkmark) */
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 1rem;
  color: white;
}

.text-container {
  word-break: break-word;
  display: inline-block;
  width: calc(100% - 1.8rem); /* Dostosowane do nowego rozmiaru checkboxa i gap */
  vertical-align: top;
}



.checkbox-label a {
  color: #000;
  text-decoration: none;
  position: relative;
  transition: color .3s ease;
  font-weight: 600;
  word-break: break-word;
}

.checkbox-label a:hover {
  color: #006400;
  text-decoration: none;
}

.checkbox-label a::before {
  content: "";
  position: absolute;
  bottom: -2px;
  left: 0;
  width: 0;
  height: 2px;
  background-color: #029324;
  transition: width .6s ease-in-out, background-color .5s ease-in-out;
}

.checkbox-label a:hover::before {
  width: 100%;
}

#privacyPanel {
position:fixed;
top:0;
right:-100%;
width:45%;
height:100%;
background-color:#f4f4f4;
box-shadow:-2px 0 5px #0003;
overflow-y:auto;
box-sizing: border-box;
transition:right .5s ease;
z-index:1000;
font-family:'Roboto',sans-serif;
color:#111;
line-height:1.1
}

#privacyPanel .privacy-content {
padding:10px;
font-family:'Roboto',sans-serif;
color:#111
}

#privacyPanel h1,#privacyPanel h2,#privacyPanel h3 {
margin:0;
font-weight:700
}

#privacyPanel h1 {
font-size:1.6rem
}

#privacyPanel h2 {
font-size:1.4rem
}

#privacyPanel h3 {
font-size:1.2rem
}

#privacyPanel p {
margin:1rem 0;
font-size:1rem
}

#privacyPanel ul {
list-style:disc;
padding-left:2rem
}

#privacyPanel li {
margin-bottom:.1rem
}

#privacyPanel a {
color:#029324;
text-decoration:none;
transition:color .3s
}

#privacyPanel a:hover {
color:#006026;
text-decoration:underline
}

#privacyPanel button {
  background-color: #008026;
  color: #fff;
  border: none;
  padding: 10px 20px;
  border-radius: 5px;
  cursor: pointer;
  font-family: 'Roboto', sans-serif;
  position: sticky; /* Ustawiamy pozycję absolute */
  bottom: 0; /* Przyklejamy do dołu panelu */
  left: 5%; /* Wyśrodkowanie w poziomie */
  transform: translateX(-5%); /* Korekta wyśrodkowania */
  width: fit-content;
  margin: 0 auto;
}

#privacyPanel button:hover {
  background-color: #006026;
}

#privacyPanel.active {
right:0
}

.privacy-table {
  width: 100%;
  border-collapse: collapse;
  margin-top: 1rem;
  font-size: 1rem;
  table-layout: fixed; /* Kluczowe dla równej szerokości kolumn */
  word-wrap: break-word; /* Zawijanie długich słów */
}

.privacy-table th,
.privacy-table td {
  border: 1px solid #ddd;
  padding: 8px;
  text-align: left;
}

.privacy-table th {
  background-color: #f4f4f4;
  font-weight: bold;
}

.privacy-table tr:hover {
  background-color: #e8f4ff;
}

.privacy-table tr:hover td {
  color: #000;
}

@media (max-width: 767px) {
  .privacy-table thead {
      display: none;
  }

  .privacy-table,
  .privacy-table tbody,
  .privacy-table tr,
  .privacy-table td {
      display: block;
      width: 100%;
      box-sizing: border-box; /* Ważne dla poprawnego obliczania szerokości z paddingiem i borderem */
  }

  .privacy-table tr {
      margin-bottom: 1rem;
      border: 1px solid #ddd;
      border-radius: 5px;
      overflow: hidden;
  }

  .privacy-table td {
      text-align: left; /* Etykieta i treść wyrównane do lewej */
      padding: 10px;
      padding-top: 25px; /* Dodatkowe miejsce na etykietę */
      position: relative;
      border: none; /* Usunięcie wewnętrznych borderów komórek */
      border-bottom: 1px solid #ddd; /* Dodanie borderu dolnego do każdej komórki*/
  }

  .privacy-table td:before {
      content: attr(data-label);
      position: absolute;
      top: 5px; /* Umieszczenie etykiety nad treścią */
      left: 10px;
      width: calc(100% - 20px); /* Etykieta na całą szerokość komórki */
      font-weight: bold;
      text-align: left;
      display: block; /* Etykieta jako blok, aby zajmowała całą dostępną szerokość */
  }
  .privacy-table tr:last-child td:last-child{
      border-bottom: none;
  }

  .about-text {
    min-width: 100%;
  }

  .about-text p {
    font-family:'Cormorant Garamond',sans-serif;
    font-weight:600;
    font-size:1.2rem;
    margin: 1%;
    text-align:center;
    }

    .about-me {
      padding:30px 15px;
      }

}




@media screen and (max-width: 600px) {
.contact-container {
margin:5%
}

#contact {

max-width:100%
}

#contact #form h2 {
font-size:36px
}

#contact #form input,#contact #form textarea {
max-width:80%;
font-size:1.2rem
}

#contact #form input.submit {
padding:10px 20px
}

#privacyPanel {
width:70%
}


.checkbox-label {
font-size:14px
}
}

.contact-section {
display:flex;
justify-content:center;
align-items:center
}

.about-me {
display:flex;
flex-direction:column;
align-items:center;
padding:40px 20px;
background-color:#FAF9F6;
text-align:justify;
letter-spacing:.05em
}

.profile-pic {
border-radius:50%;
width:200px;
height:200px;
object-fit:cover;
box-shadow:0 4px 8px #0003;
border:3px solid #fff;
background-color:#eee;
opacity:0;
transform:scale(0.6) translateY(200px);
transition:opacity 1.5s ease,transform 1.5s ease
}

.profile-pic.loaded {
opacity:1;
transform:translateY(0)
}

.profile-pic.loaded:hover {
box-shadow:0 6px 12px #02922480
}

.about-text {
font-family:'Roboto',sans-serif;
color:#222;
line-height:1.5;
font-size:1.25rem;
padding:2%;
max-width:1000px;
margin:0 auto;
background-color:#FAF9F6;
border-radius:12px;
box-shadow:0 6px 12px #00000026;
opacity:0;
transform:scale(1.0) translateY(100px);
transition:opacity .3s ease,transform .3s ease
}

.about-text.loaded {
opacity:1;
transform:scale(1.0) translateY(0)
}

.about-text.loaded:hover {
box-shadow:0 6px 12px #02922480
}

.about-text p {
opacity:0;
transform:translateY(150px);
transition:opacity 1.5s ease-out,transform 1.5s ease-out;
margin: 3%;
}

.about-text.loaded p {
opacity:1;
transform:translateY(0)
}

.about-text h2,.about-text h3 {
font-family:'Roboto',sans-serif;
font-size:2.5rem;
text-align:center;
color:#222;
margin-top:.5em;
margin-bottom:.5em;
font-weight:600;
border-bottom:3px solid #ddd;
padding-bottom:.5em;
position:relative
}

.about-text h2::after,.about-text h3::after {
content:"";
position:absolute;
bottom:-3px;
left:0;
width:0;
height:3px;
background-color:#029324;
transition:width .6s ease-in-out
}

.about-text ::after,.about-text ::after {
content:"";
position:absolute;
bottom:-3px;
left:0;
width:0;
height:3px;
background-color:#029324;
transition:width .6s ease-in-out
}

.about-text :hover::after,.about-text :hover::after {
width:100%
}

.about-text:hover h2::after,.about-text:hover h3::after {
width:100%
}

.articles-section-wrapper {
background-color:#faf9f600;
padding:1rem;
border-radius:12px;
box-shadow:0 6px 12px #00000026;
position:relative;
transition:box-shadow .3s ease-in-out;
max-width:1200px;
margin:0 auto;
display:flex;
flex-direction:column;
align-items:center;
justify-content:flex-start
}

.articles-section-wrapper:hover {
box-shadow:0 6px 12px #02922480
}

.articles-section h2 {
margin-bottom:1rem;
text-align:center;
font-family:'Roboto',sans-serif;
font-size:2.5rem;
position:relative;
padding-bottom:.5em;
border-bottom:3px solid #ddd;
width:100%;
opacity:0;
transform:scale(0.6) translateY(200px);
transition:opacity 1s ease,transform 1s ease
}

.articles-section h2::after {
content:"";
position:absolute;
bottom:-3px;
left:0;
width:0;
height:3px;
background-color:#029324;
transition:width .6s ease-in-out,background-color .3s ease-in-out
}

.articles-section-wrapper:hover h2::after {
width:100%;
background-color:#029324
}

.articles-section {
display:flex;
flex-direction:column;
align-items:center;
padding:2rem;
font-family:'Roboto',sans-serif;
font-size:1.125rem;
background-color:#FAF9F6
}

.articles {
display:flex;
flex-direction:column;
align-items:center;
gap:2rem;
width:100%;
max-width:900px
}

.article-card {
width:100%;
max-width:800px;
margin:0;
border:1px solid #ccc;
border-radius:8px;
overflow:hidden;
box-shadow:0 2px 5px #0000001a;
transition:transform .2s;
display:grid;
grid-template-areas:"image content" "image button";
grid-template-columns:400px 1fr;
grid-template-rows:auto 1fr auto;
align-items:start;
background-color:#FAF9F6;
opacity:0;
transform:scale(0.6) translateY(200px);
transition:opacity 1s ease,transform 1s ease
}

.article-card.loaded {
opacity:1;
transform:scale(1.0) translateY(0)
}

.article-card:hover {
transform:scale(1.05);
box-shadow:0 4px 10px #0003
}

.article-card:nth-child(even) {
grid-template-areas:"content image" "button image";
grid-template-columns:1fr 400px
}

.article-card img {
width:100%;
height:100%;
object-fit:cover;
grid-area:image
}

.article-card-content {
padding:1rem;
text-align:left;
grid-area:content;
display:flex;
flex-direction:column;
justify-content:space-between;
min-height:350px
}

.article-card h3 {
margin-top:0;
margin-bottom:.5rem;
font-size:1.8rem;
color:#333
}

.article-card p {
font-size:1rem;
color:#666;
margin-bottom:1rem;
overflow:hidden;
text-overflow:ellipsis;
display:-webkit-box;
-webkit-line-clamp:3;
-webkit-box-orient:vertical
}

.article-card a {
display:block;
padding:.7rem 1.5rem;
font-size:1rem;
color:#fff;
text-decoration:none;
background-color:#008026;
border-radius:5px;
transition:background-color 0.3s,transform .2s;
text-align:center;
margin-top:1rem;
grid-area:button
}

.article-card a:hover {
background-color:#006026;
transform:scale(1.05)
}

[data-theme="dark"] body {
  background: linear-gradient(to bottom, #444444 0%, #333333 5%, #222222 10%, #111111 15%, #000000 20%);
color:#eee
}

[data-theme="dark"] body header {
background-color:#0b0b0bff;
border-bottom-color:#555
}

[data-theme="dark"] body header .logo-text {
color:#fff
}

[data-theme="dark"] body .logo img {
background-color:#FAF9F6;
border-radius:10%;
padding:0;
width:60px;
object-fit:cover;
box-shadow:0 4px 6px #0000001a
}

[data-theme="dark"] body header nav ul li a {
color:#fff
}

[data-theme="dark"] body header nav ul li a:hover {
color:#029324
}

[data-theme="dark"] body .hero {
  background-image:url(assets/backgrounds/lady_justice_removebg.png);
color:#fff
}

[data-theme="dark"] body .hero::before {
content:"";
position:absolute;
top:0;
left:0;
width:100%;
height:100%;
z-index:-1;
pointer-events:none
}

[data-theme="dark"] body .hero h1 {
  background: linear-gradient(to right, #ffd700 0%, #ffd700 70%, #d59602 100%);
  -webkit-background-clip:text;
  -moz-background-clip:text;
  background-clip:text;
  color:transparent;
}
  
[data-theme="dark"] body .hero h2 {
  background: linear-gradient(to right, #ffd700 0%, #ffd700 70%, #d59602 100%);
  -webkit-background-clip:text;
  -moz-background-clip:text;
  background-clip:text;
  color:transparent;
}

[data-theme="dark"] body .hero p {
color:#4eab51;
text-shadow:0 1px 2px #fff3
}

[data-theme="dark"] body .icons {
background-color:#151515ff;
color:#eee
}

[data-theme="dark"] body .icons p {
color:#eee
}

[data-theme="dark"] body .icon-description {
color:#eee
}

[data-theme="dark"] body .contact-content {
color:#eee
}

[data-theme="dark"] .contact-content a {
color:#eee
}

[data-theme="dark"] .contact-container {
  background-color: rgba(30, 30, 30, 0.8);
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 100 100'%3E%3Cfilter id='noiseFilter'%3E%3CfegaussianBlur stdDeviation='5'/%3E%3CfeTurbulence type='fractalNoise' baseFrequency='0.4' numOctaves='3' result='noise'%3E%3C/feTurbulence%3E%3CfeComposite in='SourceGraphic' in2='noise' operator='arithmetic' k1='1' k2='1' k3='0' k4='0'/%3E%3C/filter%3E%3Crect x='0' y='0' width='300' height='300' filter='url(%23noiseFilter)' fill='rgba(128, 128, 128, 0.1)'/%3E%3C/svg%3E");
  background-repeat: repeat;
}

[data-theme="dark"] .contact-container.loaded:hover {
  background-color: rgba(30, 30, 30, 0.9);
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 100 100'%3E%3Cfilter id='noiseFilter'%3E%3CfegaussianBlur stdDeviation='5'/%3E%3CfeTurbulence type='fractalNoise' baseFrequency='0.4' numOctaves='3' result='noise'%3E%3C/feTurbulence%3E%3CfeComposite in='SourceGraphic' in2='noise' operator='arithmetic' k1='1' k2='1' k3='0' k4='0'/%3E%3C/filter%3E%3Crect x='0' y='0' width='300' height='300' filter='url(%23noiseFilter)' fill='rgba(128, 128, 128, 0.1)'/%3E%3C/svg%3E");
  background-repeat: repeat;
}

[data-theme="dark"] #contact #form span {
  color:#eee;
  }

  [data-theme="dark"] .checkbox-label a {
    color: #eee;
  }

[data-theme="dark"] .privacy-table {
  color: #eee;
}

[data-theme="dark"] .privacy-table th,
[data-theme="dark"] .privacy-table td {
  border-color: #666;
}

[data-theme="dark"] .privacy-table th {
  background-color: #555;
  color: #fff;
}

[data-theme="dark"] .privacy-table tr:hover {
  background-color: #444;
}

[data-theme="dark"] .privacy-table tr:hover td {
  color: #fff;
}

[data-theme="dark"] body .profile-pic {
border-color:#333
}

[data-theme="dark"] body .about-text {
background-color:#323232e6;
color:#eee;
box-shadow:0 6px 12px #0000004d
}

[data-theme="dark"] body .about-me {
background-color:#1e1e1eff;
color:#eee
}

[data-theme="dark"] body .about-text h2,[data-theme="dark"] body .about-text h3 {
color:#eee;
border-bottom-color:#555
}

[data-theme="dark"] body .about-text a {
color:#61dafb
}

[data-theme="dark"] body .about-text a:hover {
color:#3ba9c9;
border-bottom-color:#3ba9c9
}

[data-theme="dark"] body footer {
background-color:#0b0b0bff;
border-top-color:#555;
color:#fff
}

[data-theme="dark"] body footer a {
color:#fff
}

[data-theme="dark"] body footer a:hover {
text-decoration:underline;
color:#28a745
}

[data-theme="dark"] body .articles-section {
background-color:#1e1e1eff;
color:#eee
}

[data-theme="dark"] body .article-card {
background-color:#323232e6
}

[data-theme="dark"] body .article-card h3 {
color:#fff
}

[data-theme="dark"] body .articles-section h2 {
border-bottom-color:#555
}

[data-theme="dark"] body .privacy-content {
background-color:#333
}

[data-theme="dark"] body .privacy-content p,[data-theme="dark"] body .privacy-content h1,[data-theme="dark"] body .privacy-content h2,[data-theme="dark"] body .privacy-content h3 {
color:#fff;
background-color:#333
}

[data-theme="dark"] body .privacy-content ul,[data-theme="dark"] body .privacy-content li {
color:#fff;
background-color:transparent
}

[data-theme="dark"] body .privacy-content a {
color:#029324
}

[data-theme="dark"] body .privacy-content a:hover {
color:#006026;
text-decoration:underline
}

@media (max-width: 767px) {
header {
display:none
}

#theme-toggle {
top:1vh;
right:10vw
}

.burger-menu {
position:fixed;
top:2.5vh;
right:3vw;
display:flex;
flex-direction:column;
width:30px;
height:25px;
cursor:pointer;
z-index:1003;
background:transparent;
border:none
}

.burger-menu span {
display:block;
width:100%;
height:3px;
background-color:#000000b3;
margin:2px 0;
border-radius:5px;
transition:all .3s ease;
box-shadow:0 0 0 1px #fff
}

.nav-links {
display:none
}

.nav-links-mobile {
display:block
}

.nav-links-mobile ul {
display:flex;
flex-direction:column;
align-items:center;
padding:0;
margin:0;
list-style:none
}

.nav-links-mobile ul li {
margin:10px 0
}

.nav-links-mobile ul li a {
font-size:16px;
padding:5px 10px;
color:#eee;
text-decoration:none;
transition:color .3s ease
}

.nav-links-mobile ul li a:hover {
color:#28a745
}

.hero {
flex-direction:column;
align-items:flex-start;
justify-content:flex-start;
min-height:75vh;
max-height:90vh;
padding:0;
overflow:hidden;
background-size:250%;
background-position:15% 45%
}

.hero-content-wrapper {
width:65%;
margin:0 auto;
text-align:center;
display:flex;
flex-direction:column;
padding-top:0
}

.hero-content {
display:flex;
flex-direction:column;
align-items:center
}

.hero h1 {
font-size:1.6rem;
margin-bottom:1%
}

.hero h2 {
font-size:1.6rem;
margin-bottom:1%
}

.hero p {
font-size:1.3rem;
margin-bottom:1%
}

.hero-image-container {
max-width:250px;
margin:0 auto;
transform:translateY(0);
will-change:opacity,transform
}

.hero-image-container.visible {
opacity:1;
transform:translateY(0)
}

.hero-logo-container {
max-width:100px;
margin:0 auto;
transform:translateY(0);
will-change:transform
}

.hero-logo-container img {
max-width:100%;
height:auto
}

.hero img {
width:100%;
height:auto
}

.hero-content {
will-change:transform
}

.hero h1,.hero h2,.hero p {
will-change:font-size
}

.article-card {
  grid-template-columns: 1fr;
  grid-template-rows: auto auto auto;
  grid-template-areas:
    "image"
    "content"
    "button";
}

.article-card-content {
  min-height: 250px;
}

.article-card:nth-child(even) {
  grid-template-columns: 1fr;
  grid-template-areas:
    "image"
    "content"
    "button";
}

.article-card img {
  max-height: 350px;
}

.article-card h3 {
  margin-top: 0;
  margin-bottom: 0.5rem;
  font-size: 1.5rem;
}

body {
background-size:cover;
min-height:100vh
}
}

@media (max-width: 410px) {

.hero {
  min-height:75vh;
  max-height:90vh;
}

.hero h1 {
font-size:1.4rem
}

.hero h2 {
  font-size:1.4rem
}

.hero-content {
top:2%
}

.hero p {
font-size:1rem
}

.hero-image-container {
max-width:200px
}
}

@media (min-width: 769px) and (max-width: 1023px) {
  .hero-content-wrapper {
    width:50%;
    }
  
  .hero h1 {
    font-size:2.5rem;
    margin-bottom:1%
    }
    
    .hero h2 {
    font-size:2.5rem;
    margin-bottom:1%
    }
    
    .hero p {
    font-size:2.0rem;
    margin-bottom:1%
    }
}